/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-12-04 12:16:50

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
export declare class FileSystem {
    /**
     * 9.27MB
     * 1.07MB/9.27MB
     * 10.11% 1.07MB/9.27MB
     * 是否需要增加更多尺寸比如KB/GB等等
     */
    static getVisualFileSize(size: number): string;
    /**
     * 获得一个安全的文件名称
     * @param filename 待转换的文件名
     */
    static getSafeFileName(filename: string): string;
    static getSafeFileNameByList(filenameList: string[]): any[];
    static getMIMEByExtname(extname: string): any;
    static getExtnameByMIME(mime: any): string;
}
