/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-12-04 12:18:26

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
export declare class TaskTime {
    private total;
    private index;
    private tookDatetime;
    private lastTookDatetime;
    private avgTime;
    private diffTime;
    setTotal(total: number): void;
    getData(): {
        rate: string;
        remainderAvgTime: string;
        remainderDiffTime: string;
    };
    /**
     * 每节任务完成的进行快照
     * 首次运行时
     */
    take(): void;
    /**
     * 获取剩余时间
     * @returns null 为null说明相关信息不够，无法计算剩余时间
     */
    getRemainderAvgTime(): number;
    getRemainderDiffTime(): number;
    /**
     * 获取剩余比例
     */
    getRate(): number;
}
