/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-12-04 12:14:39

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
import { LOGGER_LEVEL } from "./LarkLogger/LoggerDto";
export declare class LarkLogger {
    category: string;
    requestID: any;
    constructor(category?: string);
    single(...argv: any[]): void;
    percent(title: string, index: number, total: number, message?: string): Promise<void>;
    log(...argv: any[]): Promise<void>;
    warn(...argv: any[]): Promise<void>;
    info(...argv: any[]): Promise<void>;
    error(...argv: any[]): Promise<void>;
    fatal(...argv: any[]): Promise<void>;
    trace(...argv: any[]): Promise<void>;
    infoIf(condition: boolean, ...argv: any[]): Promise<void>;
    errorIf(condition: boolean, ...argv: any[]): Promise<void>;
    warnIf(condition: boolean, ...argv: any[]): Promise<void>;
    logIf(condition: boolean, ...argv: any[]): Promise<void>;
    debugIf(condition: boolean, ...argv: any[]): Promise<void>;
    traceIf(condition: boolean, ...argv: any[]): Promise<void>;
    protected getStringify(data: any[]): {
        data: string[];
        message: string;
    };
    protected output(level: LOGGER_LEVEL, argv: any[]): Promise<void>;
}
