/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-12-04 12:17:48

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
export declare enum WEEK {
    MONDAY = 1,
    TUESDAY = 2,
    WEDNESDAY = 3,
    THURSDAY = 4,
    FRIDAY = 5,
    SATURDAY = 6,
    SUNDAY = 0
}
/**
 * 时间
 */
export interface ILarkDate {
    /**
     * 年
     */
    year?: number;
    /**
     * 月，0代表没有月份！
     */
    month?: number;
    /**
     * 日
     */
    day?: number;
    /**
     * 时
     */
    hour?: number;
    /**
     * 分
     */
    minutes?: number;
    /**
     * 秒
     */
    seconds?: number;
    /**
     * 毫秒
     */
    milliseconds?: number;
}
