/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-12-04 12:18:18

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
export declare const UNDEFINED = "undefined";
export declare class LarkObject {
    static isUndefined(obj: any): boolean;
    static isNull(obj: any): boolean;
    static isNullOrIsUndefined(obj: any): boolean;
    /**
     * 对一个js对象进行深度排序，按其名称字母
     * @param obj
     */
    static sort(obj: any): {};
    /**
     * 合并两个对象，并进行深层重复值去重
     * @param obj
     */
    static merge(obj: {
        from: any;
        to: any;
    }, option?: {
        clean?: boolean;
        concatArray?: boolean;
    }): any;
    /**
     * 清除对象里面的无用数据
     * @param obj
     */
    static cleanObjectData(obj: any): any;
}
